//
//  Constants.h
//  Canvera
//
//  Created by Prashant on 8/26/13.
//  Copyright (c) 2013 Prashant. All rights reserved.
//

#define Canvera_Constants_h

#define LOG_ON

#ifdef LOG_ON
#   define DebugLog(fmt, ...) NSLog((@"%s [Line %d] " fmt), __PRETTY_FUNCTION__, __LINE__, ##__VA_ARGS__);
#else
#   define DebugLog(...)
#endif

#define IS_IPHONE_5 ( fabs( ( double )[ [ UIScreen mainScreen ] bounds ].size.height - ( double )568 ) < DBL_EPSILON )

#define DELEGATE ((AppDelegate *)   [[UIApplication sharedApplication] delegate])

#define TEXTFIELD_COLOR         [UIColor colorWithRed:63/255.f green:63/255.f blue:63/255.f alpha:1]

#define SYSTEM_VERSION_GREATER_THAN_OR_EQUAL_TO(v) ([[[UIDevice currentDevice] systemVersion] compare:v options:NSNumericSearch] != NSOrderedAscending)
